Require Import Bool.

Ltac destructAnd := 
    simpl in * ; 
      repeat(
        try(
          match goal with 
            [ H: _ && _ = true |- _ ] 
            => 
            let H1 := fresh H in 
              let H2 := fresh H in 
                apply andb_true_iff in H ; destruct H as [H1 H2]
          end);
        try(
          match goal with 
            [ H: _ /\ _  |- _ ] 
            => 
            let H1 := fresh H in 
              let H2 := fresh H in 
                destruct H as [H1 H2]
          end)).
