Require Import List.

Ltac inPresent := 
  match goal with
    | [  |- In ?a ?l ] =>
      assumption
    | [  |- In ?a ?l ] =>
      firstorder
    | [  |- In ?a (?a::?l) ] =>
      apply in_eq
    | [  |- In ?a (?x::?l) ] =>
      simpl; right; inPresent
    | [  |- In ?a (?l1++?a::?l2) ] =>
      apply in_or_app; right; apply in_eq
    | [  |- In ?a (?l1++?x::?l2) ] =>
      apply in_or_app; left; inPresent
    | [  |- In ?a (?l1++?x::?l2) ] =>
      apply in_or_app; right;simpl; right; inPresent
  end.